import request from '@/utils/request'

// 查询转岗培训模版列表
export function listTransferplantmpl(query) {
  return request({
    url: '/newstaff/transferplantmpl/list',
    method: 'get',
    params: query
  })
}

// 查询转岗培训模版详细
export function getTransferplantmpl(id) {
  return request({
    url: '/newstaff/transferplantmpl/' + id,
    method: 'get'
  })
}

// 新增转岗培训模版
export function addTransferplantmpl(data) {
  return request({
    url: '/newstaff/transferplantmpl',
    method: 'post',
    data: data
  })
}

// 修改转岗培训模版
export function updateTransferplantmpl(data) {
  return request({
    url: '/newstaff/transferplantmpl',
    method: 'put',
    data: data
  })
}

// 删除转岗培训模版
export function delTransferplantmpl(id) {
  return request({
    url: '/newstaff/transferplantmpl/' + id,
    method: 'delete'
  })
}

// 导出转岗培训模版
export function exportTransferplantmpl(query) {
  return request({
    url: '/newstaff/transferplantmpl/export',
    method: 'get',
    params: query
  })
}